:root {
  /* cor de foco (sombra azul clara no input focado) */
  --bs-focus-ring-color: rgba(0, 123, 255, 0.25);

  --bs-form-control-bg: #f1c000;
  /* cor de fundo do input */
  --bs-border-color: #ffffff;
  /* cor da borda */
  --bs-focus-ring-color: rgba(0, 123, 255, 0.25);
  --bs-border-radius: 5px;
  --bs-body-color: #333;
  /* texto */
  --bs-secondary-color: #777;
  /* placeholder */



}

/* Opcional: customizar o input especificamente */
.form-control {
  border-width: 2px;
  background-color: var(--bs-form-control-bg);
  border-bottom: none;
}

/* Foco mais forte (opcional) */
.form-control:focus {
  border-color: var(--bs-border-color);
  box-shadow: 0 0 0 0.25rem var(--bs-focus-ring-color);
  background-color: var(--bs-form-control-bg);
}

.btn-primary {
  --bs-btn-bg: #f1c000;
  --bs-btn-color: #fff;
  --bs-btn-border-color: #2f2f2f;

  --bs-btn-hover-bg: #f1c100a4;
  --bs-btn-hover-border-color: #2f2f2f;

  --bs-btn-active-bg: #f1c000;
  --bs-btn-active-border-color: #2f2f2f;

  color: #2f2f2f;
  border-radius: 5px;
  
}

.btn-primary:focus {
  color: #2f2f2f;
}


.form-select {
  --bs-form-select-bg: #f1c000;
  --bs-form-select-indicator-color: #2f2f2f;
  background-image: none;
  padding-right: .75rem;
  background-color: #f1c000;
  padding-top: 10px !important;
  border-radius: 5px;
}

.form-check-input {
  border: 2px solid #2f2f2f;
}

.form-check-input:checked {
  background-color: #f1c000;
  border-color: #f1c000;
}

.fundo-tabela{
  padding: 0px;
  background-color: #e3e3e3;
  border: solid 2px rgb(255, 255, 255);
}

.fundo-tabela .form-select {
  --bs-form-select-bg: #e3e3e3;
  background-color: #e3e3e3;
  border-top-width: 2px;
  border-bottom-width: 2px;
  border-radius: 0px;
  border-left: none;
  border-right: none;
  font-size: 17px;
}
.fundo-tabela .form-control {
    border-width: 2px;
    background-color:  #e3e3e3;
    border-bottom: none;
    border-radius: 0;
    border-left: none;
    border-right: none;
}
.form-check-label, .form-check-input{
  cursor: pointer;
}
.form-floating>label{
  color: #2f2f2f;
}

.form-floating>.form-control:not(:placeholder-shown)~label{
  color: #acacac;
}


#modal-valida-fone .form-floating label{
  color: black!important;
}

#modal-valida-fone .modal-body{
  margin-top: -20px;
}

#erros{
  display: none;
}